## RygelVisualItem

RygelVisualItem — An interface representing visual properties of an item stored in a file.

## Functions

gint | rygel_visual_item_get_width ()
void | rygel_visual_item_set_width ()
gint | rygel_visual_item_get_height ()
void | rygel_visual_item_set_height ()
gint | rygel_visual_item_get_color_depth ()
void | rygel_visual_item_set_color_depth ()
GeeArrayList * | rygel_visual_item_get_thumbnails ()
void | rygel_visual_item_set_thumbnails ()

## Properties

gint | color-depth | Read / Write
gint | height | Read / Write
GeeArrayList * | thumbnails | Read / Write
gint | width | Read / Write

## Types and Values

| RygelVisualItem
struct | RygelVisualItemIface

## Object Hierarchy

        GInterface
        ╰── RygelVisualItem

## Prerequisites

RygelVisualItem requires RygelMediaFileItem.

## Known Implementations

RygelVisualItem is implemented by RygelImageItem, RygelPhotoItem and RygelVideoItem.

## Description

## Functions

### rygel_visual_item_get_width ()

    gint
    rygel_visual_item_get_width (RygelVisualItem *self);

Get and return the current value of the "width" property.

The width of the source content (this.uri) in pixels. A value of -1 means that the width is unknown

#### Parameters

self | the RygelVisualItem instance to query |

#### Returns

the value of the "width" property

### rygel_visual_item_set_width ()

    void
    rygel_visual_item_set_width (RygelVisualItem *self,
                                 gint value);

Set the value of the "width" property to `value` .

The width of the source content (this.uri) in pixels. A value of -1 means that the width is unknown

#### Parameters

self | the RygelVisualItem instance to modify |
value | the new value of the "width" property |

### rygel_visual_item_get_height ()

    gint
    rygel_visual_item_get_height (RygelVisualItem *self);

Get and return the current value of the "height" property.

The height of the source content (this.uri) in pixels. A value of -1 means that the height is unknown

#### Parameters

self | the RygelVisualItem instance to query |

#### Returns

the value of the "height" property

### rygel_visual_item_set_height ()

    void
    rygel_visual_item_set_height (RygelVisualItem *self,
                                  gint value);

Set the value of the "height" property to `value` .

The height of the source content (this.uri) in pixels. A value of -1 means that the height is unknown

#### Parameters

self | the RygelVisualItem instance to modify |
value | the new value of the "height" property |

### rygel_visual_item_get_color_depth ()

    gint
    rygel_visual_item_get_color_depth (RygelVisualItem *self);

Get and return the current value of the "color-depth" property.

The number of bits per pixel in the video or image resource (this.uri). A value of -1 means that the color depth is unknown

#### Parameters

self | the RygelVisualItem instance to query |

#### Returns

the value of the "color-depth" property

### rygel_visual_item_set_color_depth ()

    void
    rygel_visual_item_set_color_depth (RygelVisualItem *self,
                                       gint value);

Set the value of the "color-depth" property to `value` .

The number of bits per pixel in the video or image resource (this.uri). A value of -1 means that the color depth is unknown

#### Parameters

self | the RygelVisualItem instance to modify |
value | the new value of the "color-depth" property |

### rygel_visual_item_get_thumbnails ()

    GeeArrayList *
    rygel_visual_item_get_thumbnails (RygelVisualItem *self);

Get and return the current value of the "thumbnails" property.

Thumbnail pictures to represent the video or image resource.

#### Parameters

self | the RygelVisualItem instance to query |

#### Returns

the value of the "thumbnails" property

### rygel_visual_item_set_thumbnails ()

    void
    rygel_visual_item_set_thumbnails (RygelVisualItem *self,
                                      GeeArrayList *value);

Set the value of the "thumbnails" property to `value` .

Thumbnail pictures to represent the video or image resource.

#### Parameters

self | the RygelVisualItem instance to modify |
value | the new value of the "thumbnails" property |

## Types and Values

### RygelVisualItem

    typedef struct _RygelVisualItem RygelVisualItem;

An interface representing visual properties of an item stored in a file.

### struct RygelVisualItemIface

    struct RygelVisualItemIface {
    	GTypeInterface parent_iface;
    	gint (*get_width) (RygelVisualItem* self);
    	void (*set_width) (RygelVisualItem* self, gint value);
    	gint (*get_height) (RygelVisualItem* self);
    	void (*set_height) (RygelVisualItem* self, gint value);
    	gint (*get_color_depth) (RygelVisualItem* self);
    	void (*set_color_depth) (RygelVisualItem* self, gint value);
    	GeeArrayList* (*get_thumbnails) (RygelVisualItem* self);
    	void (*set_thumbnails) (RygelVisualItem* self, GeeArrayList* value);
    };

Interface for creating RygelVisualItem implementations.

#### Members

GTypeInterface `parent_iface`; | the parent interface structure |
`get_width` () | getter method for the abstract property "width" |
`set_width` () | setter method for the abstract property "width" |
`get_height` () | getter method for the abstract property "height" |
`set_height` () | setter method for the abstract property "height" |
`get_color_depth` () | getter method for the abstract property "color-depth" |
`set_color_depth` () | setter method for the abstract property "color-depth" |
`get_thumbnails` () | getter method for the abstract property "thumbnails" |
`set_thumbnails` () | setter method for the abstract property "thumbnails" |

## Property Details

### The `“color-depth”` property

      “color-depth”              gint

The number of bits per pixel in the video or image resource (this.uri). A value of -1 means that the color depth is unknown

Flags: Read / Write

Default value: 0

### The `“height”` property

      “height”                   gint

The height of the source content (this.uri) in pixels. A value of -1 means that the height is unknown

Flags: Read / Write

Default value: 0

### The `“thumbnails”` property

      “thumbnails”               GeeArrayList *

Thumbnail pictures to represent the video or image resource.

Flags: Read / Write

### The `“width”` property

      “width”                    gint

The width of the source content (this.uri) in pixels. A value of -1 means that the width is unknown

Flags: Read / Write

Default value: 0